Get metadata for a specific table in a catalog from DataHub
curl --request GET \
--url https://api.example.com/api/metastore/catalogs/{catalog_name}/schemas/{schema_name}/tables/{table_name}/metadata \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/metastore/catalogs/{catalog_name}/schemas/{schema_name}/tables/{table_name}/metadata"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/metastore/catalogs/{catalog_name}/schemas/{schema_name}/tables/{table_name}/metadata', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"table_name": "<string>",
"domains": [
"<string>"
],
"tags": [
"<string>"
],
"upstream_count": 123,
"downstream_count": 123,
"upstream_tables": [
{
"name": "<string>",
"urn": "<string>"
}
],
"downstream_tables": [
{
"name": "<string>",
"urn": "<string>"
}
],
"data_quality_assertions": [
{
"description": "<string>",
"type": "<string>",
"removed": true,
"status": "<string>",
"result": "<string>",
"total_runs": 123
}
],
"description": "<string>",
"data_product": "<string>"
}{
"error": "<string>",
"code": 500
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Catalogs
Get metadata for a specific table in a catalog from DataHub
Get metadata for a specific table in a catalog from DataHub.
GET
/
api
/
metastore
/
catalogs
/
{catalog_name}
/
schemas
/
{schema_name}
/
tables
/
{table_name}
/
metadata
Get metadata for a specific table in a catalog from DataHub
Authorizations
OAuth2AuthorizationCodeBearerAPIKeyHeader
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Catalog name.
Schema name.
Table name.
Response
Data retrieved successfully.
Name of the dataset/table.
List of domains associated with the dataset.
List of tags assigned to the dataset.
Total number of upstream datasets in lineage.
Total number of downstream datasets in lineage.
List of upstream dataset names.
Show child attributes
Show child attributes
List of downstream dataset names.
Show child attributes
Show child attributes
List of data quality assertions defined on the dataset.
Show child attributes
Show child attributes
Description of the dataset if available.
Name of the data product that this dataset belongs to.
Was this page helpful?

